You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     amd...@freebsd.org
Last committer: re...@freebsd.org
Ident:          $FreeBSD: head/games/blackshadeselite/Makefile 441503 
2017-05-23 05:03:14Z rezny $
Log URL:        
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p460860_s328835/logs/blackshadeselite-0.0.1_10.log
Build URL:      
http://beefy12.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p460860_s328835
Log:

=>> Building games/blackshadeselite
build started at Sun Feb  4 04:06:04 UTC 2018
port directory: /usr/ports/games/blackshadeselite
package name: blackshadeselite-0.0.1_10
building for: FreeBSD head-amd64-default-job-17 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200056 amd64
maintained by: amd...@freebsd.org
Makefile ident:      $FreeBSD: head/games/blackshadeselite/Makefile 441503 
2017-05-23 05:03:14Z rezny $
Poudriere version: 3.2.4-37-g8639d323
Host OSVERSION: 1200054
Jail OSVERSION: 1200056
Job Id: 17




!!! Jail is newer than host. (Jail: 1200056, Host: 1200054) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1200056
UNAME_v=FreeBSD 12.0-CURRENT 1200056
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.2.4-37-g8639d323
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for 
blackshadeselite-0.0.1_10:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
amd...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config MAKE=gmake 
XDG_DATA_HOME=/wrkdirs/usr/ports/games/blackshadeselite/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/blackshadeselite/work  
HOME=/wrkdirs/usr/ports/games/blackshadeselite/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/games/blackshadeselite/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config 
XDG_DATA_HOME=/wrkdirs/usr/ports/games/blackshadeselite/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/blackshadeselite/work  
HOME=/wrkdirs/usr/ports/games/blackshadeselite/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/games/blackshadeselite/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  
RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/blackshadeselite"  
EXAMPLESDIR="share/examples/blackshadeselite"  DATADIR="share/blackshadeselite" 
 WWWDIR="www/blackshadeselite"  ETCDIR="etc/blackshadeselite"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  
DATADIR=/usr/local/share/blackshadeselite 
DOCSDIR=/usr/local/share/doc/blackshadeselite 
EXAMPLESDIR=/usr/local/share/examples/blackshadeselite  
WWWDIR=/usr/local/www/blackshadeselite ETCDIR=/usr/local/etc/blackshadeselite
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=12.0
OSVERSION=1200056
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=12.0-CURRENT
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2+ accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   blackshadeselite-0.0.1_10 depends on file: /usr/local/sbin/pkg - not 
found
===>   Installing existing package /packages/All/pkg-1.10.4.txz
[head-amd64-default-job-17] Installing pkg-1.10.4...
[head-amd64-default-job-17] Extracting pkg-1.10.4: .......... done
===>   blackshadeselite-0.0.1_10 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of blackshadeselite-0.0.1_10
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2+ accepted by the user
===> Fetching all distfiles required by blackshadeselite-0.0.1_10 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2+ accepted by the user
===> Fetching all distfiles required by blackshadeselite-0.0.1_10 for building
=> SHA256 Checksum OK for blackshadeselite-0.0.1.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2+ accepted by the user
===> Fetching all distfiles required by blackshadeselite-0.0.1_10 for building
===>  Extracting for blackshadeselite-0.0.1_10
=> SHA256 Checksum OK for blackshadeselite-0.0.1.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for blackshadeselite-0.0.1_10
===>  Applying FreeBSD patches for blackshadeselite-0.0.1_10
===========================================================================
=======================<phase: build-depends  >============================
===>   blackshadeselite-0.0.1_10 depends on file: /usr/local/bin/sdl-config - 
not found
===>   Installing existing package /packages/All/sdl-1.2.15_10,2.txz
[head-amd64-default-job-17] Installing sdl-1.2.15_10,2...
[head-amd64-default-job-17] `-- Installing aalib-1.4.r5_11...
[head-amd64-default-job-17] |   `-- Installing indexinfo-0.3.1...
[head-amd64-default-job-17] |   `-- Extracting indexinfo-0.3.1: .... done
[head-amd64-default-job-17] `-- Extracting aalib-1.4.r5_11: .......... done
[head-amd64-default-job-17] `-- Installing libGLU-9.0.0_3...
[head-amd64-default-job-17] |   `-- Installing mesa-libs-17.3.1...
[head-amd64-default-job-17] |   | `-- Installing expat-2.2.5...
[head-amd64-default-job-17] |   | `-- Extracting expat-2.2.5: .......... done
[head-amd64-default-job-17] |   | `-- Installing libX11-1.6.5,1...
[head-amd64-default-job-17] |   |   `-- Installing kbproto-1.0.7...
[head-amd64-default-job-17] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-17] |   |   | `-- Installing xproto-7.0.31...
[head-amd64-default-job-17] |   |   | `-- Extracting xproto-7.0.31: .......... 
done
[head-amd64-default-job-17] |   |   `-- Extracting libXau-1.0.8_3: .......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-17] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libxcb-1.12_2...
[head-amd64-default-job-17] |   |   | `-- Installing libpthread-stubs-0.4...
[head-amd64-default-job-17] |   |   | `-- Extracting libpthread-stubs-0.4: . 
done
[head-amd64-default-job-17] |   |   | `-- Installing libxml2-2.9.7...
[head-amd64-default-job-17] |   |   | `-- Extracting libxml2-2.9.7: .......... 
done
[head-amd64-default-job-17] |   |   `-- Extracting libxcb-1.12_2: .......... 
done
[head-amd64-default-job-17] |   | `-- Extracting libX11-1.6.5,1: .......... done
<snip>
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   blackshadeselite-0.0.1_10 depends on shared library: libopenal.so.1 - 
found (/usr/local/lib/libopenal.so.1)
===>   Returning to build of blackshadeselite-0.0.1_10
===>   blackshadeselite-0.0.1_10 depends on shared library: libalut.so.0 - not 
found
===>   Installing existing package /packages/All/freealut-1.1.0_4.txz
[head-amd64-default-job-17] Installing freealut-1.1.0_4...
[head-amd64-default-job-17] Extracting freealut-1.1.0_4: ....... done
===>   blackshadeselite-0.0.1_10 depends on shared library: libalut.so.0 - 
found (/usr/local/lib/libalut.so.0)
===>   Returning to build of blackshadeselite-0.0.1_10
===>   blackshadeselite-0.0.1_10 depends on shared library: libGLU.so - found 
(/usr/local/lib/libGLU.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for blackshadeselite-0.0.1_10
===========================================================================
=======================<phase: build          >============================
===>  Building for blackshadeselite-0.0.1_10
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/games/blackshadeselite/work/blackshadeselite'
gmake bindir
gmake[2]: Entering directory 
'/wrkdirs/usr/ports/games/blackshadeselite/work/blackshadeselite'
mkdir -p ./objs
mkdir -p ./objs/Net
gmake[2]: Leaving directory 
'/wrkdirs/usr/ports/games/blackshadeselite/work/blackshadeselite'
c++ -c -o objs/Button.o Source/Button.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Button.cpp:21:
In file included from ./Source/Button.h:27:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Button.cpp:21:
In file included from ./Source/Button.h:27:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/Camera.o Source/Camera.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Camera.cpp:23:
In file included from ./Source/Camera.h:26:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Camera.cpp:23:
In file included from ./Source/Camera.h:26:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/Config.o Source/Config.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
c++ -c -o objs/Decals.o Source/Decals.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Decals.cpp:20:
In file included from ./Source/Decals.h:23:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Decals.cpp:20:
In file included from ./Source/Decals.h:23:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/Fog.o Source/Fog.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Fog.cpp:21:
In file included from ./Source/Fog.h:25:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Fog.cpp:21:
In file included from ./Source/Fog.h:25:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/Font.o Source/Font.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Font.cpp:20:
In file included from ./Source/Font.h:23:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Font.cpp:20:
In file included from ./Source/Font.h:23:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/Frustum.o Source/Frustum.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
c++ -c -o objs/Game.o Source/Game.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/Game.cpp:21:
In file included from ./Source/Game.h:32:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/Game.cpp:21:
In file included from ./Source/Game.h:32:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
2 warnings generated.
c++ -c -o objs/GameDraw.o Source/GameDraw.cpp -O2 -pipe -fstack-protector 
-fno-strict-aliasing  -Wall `/usr/local/bin/sdl-config --cflags` -I./Source 
-I./Source/Net -include Source/Support.h
In file included from Source/GameDraw.cpp:21:
In file included from ./Source/Weapon.h:24:
In file included from ./Source/Quaternions.h:24:
./Source/Maths.h:27:18: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
double fast_sqrt(register double arg);
                 ^~~~~~~~~
In file included from Source/GameDraw.cpp:21:
In file included from ./Source/Weapon.h:24:
./Source/Quaternions.h:80:17: warning: 'register' storage class specifier is 
deprecated and incompatible with C++17 [-Wdeprecated-register]
float fast_sqrt(register float arg);
                ^~~~~~~~~
Source/GameDraw.cpp:197:16: warning: ISO C++11 does not allow conversion from 
string literal to 'char *' [-Wwritable-strings]
               "LOADING...", 1, 1, screenwidth, screenheight);
               ^
Source/GameDraw.cpp:472:13: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
            ^~~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:472:13: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
            ^~~~~~~~~~~~~~~~~~~~
            static_cast<GLfloat>( )
Source/GameDraw.cpp:472:35: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
                                  ^~~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:472:35: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
                                  ^~~~~~~~~~~~~~~~~~~~
                                  static_cast<GLfloat>( )
Source/GameDraw.cpp:472:57: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
                                                        ^~~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:472:57: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * 1.6, fog.fogcolor.g * 1.6, fog.fogcolor.r * 1.6,
                                                        ^~~~~~~~~~~~~~~~~~~~
                                                        static_cast<GLfloat>( )
Source/GameDraw.cpp:480:13: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
            ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:480:13: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
            ^~~~~~~~~~~~~~~~~~~
            static_cast<GLfloat>( )
Source/GameDraw.cpp:480:34: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
                                 ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:480:34: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
                                 ^~~~~~~~~~~~~~~~~~~
                                 static_cast<GLfloat>( )
Source/GameDraw.cpp:480:55: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
                                                      ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:480:55: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.b * .8,
                                                      ^~~~~~~~~~~~~~~~~~~
                                                      static_cast<GLfloat>( )
Source/GameDraw.cpp:483:13: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
            ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:483:13: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
            ^~~~~~~~~~~~~~~~~~~
            static_cast<GLfloat>( )
Source/GameDraw.cpp:483:34: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
                                 ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:483:34: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
                                 ^~~~~~~~~~~~~~~~~~~
                                 static_cast<GLfloat>( )
Source/GameDraw.cpp:483:55: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
                                                      ^~~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:483:55: note: insert an explicit cast to silence this issue
          { fog.fogcolor.r * .8, fog.fogcolor.g * .8, fog.fogcolor.r * .8,
                                                      ^~~~~~~~~~~~~~~~~~~
                                                      static_cast<GLfloat>( )
Source/GameDraw.cpp:505:32: error: non-constant-expression cannot be narrowed 
from type 'double' to 'GLfloat' (aka 'float') in initializer list 
[-Wc++11-narrowing]
    GLfloat LightDiffuse[] = { .1 + sinefluct / 5, 0, 0, 1.0f };
                               ^~~~~~~~~~~~~~~~~~
Source/GameDraw.cpp:505:32: note: insert an explicit cast to silence this issue
    GLfloat LightDiffuse[] = { .1 + sinefluct / 5, 0, 0, 1.0f };
                               ^~~~~~~~~~~~~~~~~~
                               static_cast<GLfloat>( )
3 warnings and 10 errors generated.
gmake[1]: *** [Makefile:71: objs/GameDraw.o] Error 1
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/games/blackshadeselite/work/blackshadeselite'
*** Error code 1

Stop.
make: stopped in /usr/ports/games/blackshadeselite
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to